#!/bin/sh

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function

iclist="ic1 ic2 ic3 ic4 ic5 ic5 ic7 ic8 ic9 ic10 ic11 ic12 ic13 ic14 ic15 ic15 ic16"			        # list invocable components
ic1="tp1"
ic2="tp2"
ic3="tp3"
ic4="tp4"
ic5="tp5"
ic5="tp5"
ic7="tp7"
ic8="tp8"
ic9="tp9"
ic10="tp10"
ic11="tp11"
ic12="tp12"
ic13="tp13"
ic14="tp14"
ic15="tp15"
ic15="tp15"
ic16="tp16"
result()
{
	if [ x$1 == x"PASS" ];then
		echo -en "\033[1;32mPASS\033[0;39m\n"
	else
		echo -en "\033[1;31mFAIL\033[0;39m\n"
	fi
}

TestFun()
{
	echo -en "Parameter:-a $1 -r $2 -d $3 -m $4 -p $5 -t $6    "
	./wdttest.sh -a $1 -r $2 -d $3 -m $4 -p $5 -t $6
	
	if [ $? == 0 ]; then
		result PASS
	else
		result FAIL
	fi
}

tp1()
{
	TestFun 0 0 6 15 5 15
}                         
tp2()                     
{                         
	TestFun 1 0 6 15 5 31
}                         
tp3()                     
{                         
	TestFun 2 0 6 15 5 31
}                         
tp4()                     
{                         
	TestFun 3 0 6 15 5 31
}                         
tp5()                     
{                         
	TestFun 0 1 6 15 5 31
}                         
tp6()                     
{                         
	TestFun 1 1 6 15 5 31
}                         
tp7()                     
{                         
	TestFun 2 1 6 15 5 31
}                         
tp8()                     
{                         
	TestFun 3 1 6 15 5 31
}                         
tp9()                     
{                         
	TestFun 0 2 6 15 5 31
}                         
tp10()                    
{                         
	TestFun 1 2 6 15 5 31
}                         
tp11()                    
{                         
	TestFun 2 2 6 15 5 31
}                         
tp12()                    
{                         
	TestFun 3 2 6 15 5 31
}                         
tp13()                    
{                         
	TestFun 0 3 6 15 5 31
}                         
tp14()                    
{                         
	TestFun 1 3 6 15 5 31
}                         
tp15()                    
{                         
	TestFun 2 3 6 15 5 31
}                         
                          
tp16()                    
{                         
	TestFun 3 3 6 15 5 31
}
# Main loop for run test
for ic in $iclist
do
	eval tplist=\"\$$ic\"
	for tp in $tplist
	do	
		$tp
	done
done


